## alsasrc alsasrc — Read from a sound card via ALSA |

## Synopsis

                        GstAlsaSrc;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseSrc
                         +----GstPushSrc
                               +----GstBaseAudioSrc
                                     +----GstAudioSrc
                                           +----GstAlsaSrc

## Implemented Interfaces

GstAlsaSrc implements GstImplementsInterface, GstMixer and GstPropertyProbe.

## Properties

      "device"                   gchar*                : Read / Write
      "device-name"              gchar*                : Read

## Description

This element reads data from an audio card using the ALSA API.

### Example pipelines

    gst-launch -v alsasrc ! audioconvert ! vorbisenc ! oggmux ! filesink location=alsasrc.ogg

Record from a sound card using ALSA and encode to Ogg/Vorbis.

Last reviewed on 2006-03-01 (0.10.4)

## Synopsis

### Element Information

plugin | alsa
author | Wim Taymans <wim@fluendo.com>
class | Source/Audio

### Element Pads

name | src
direction | source
presence | always
details | audio/x-raw-int, endianness=(int){ 1234, 4321 }, signed=(boolean){ true, false }, width=(int)32, depth=(int)32, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ]
| audio/x-raw-int, endianness=(int){ 1234, 4321 }, signed=(boolean){ true, false }, width=(int)32, depth=(int)24, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ]
| audio/x-raw-int, endianness=(int){ 1234, 4321 }, signed=(boolean){ true, false }, width=(int)24, depth=(int)24, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ]
| audio/x-raw-int, endianness=(int){ 1234, 4321 }, signed=(boolean){ true, false }, width=(int)16, depth=(int)16, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ]
| audio/x-raw-int, signed=(boolean){ true, false }, width=(int)8, depth=(int)8, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ]

## Details

### GstAlsaSrc

    typedef struct _GstAlsaSrc GstAlsaSrc;

Opaque data structure

## Property Details

### The `"device"` property

      "device"                   gchar*                : Read / Write

ALSA device, as defined in an asound configuration file.

Default value: "default"

### The `"device-name"` property

      "device-name"              gchar*                : Read

Human-readable name of the sound device.

Default value: ""

## See Also

alsasink, alsamixer